#!/usr/bin/env python

import bootstrap
import sys
import openpluginlib
import openimagelib
import openmedialib
import common
import stacks
import balance

openpluginlib.init( "" )

if len( sys.argv ) > 1:
	sys.argv.pop( 0 )
	rpn = stacks.stack( )
	rpn.push_args( sys.argv )
	if not rpn.empty( ): rpn.push( "play" )
else:
	print "Usage   : rpn.py <input> [ [ <input> | filter:<filter> | name=value ]* ]*"
	print "Examples: rpn.py <input>"
	print "          rpn.py <input> filter:chroma"
	print "          rpn.py colour: <input> filter:chroma filter:composite mode=fill"
	print "          etc"

openpluginlib.uninit( )
